<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Gillette Multicolour Christmas Edition 2011
| Gillette Theme by Nick Jones (RIP)
| Filename: theme.php
| Author: Fangree Productions
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

//Theme Settings
define("THEME_WIDTH", "999"); //theme width. Make sure to adapt the margin-left in the first div (-width/2).
$enable_colour_switcher = true; //true=enable colour switcher | false=disable colour switcher
$enable_submenu ="true"; //true=enable  | false=disable Sub Menue Dropdown
//Theme Settings /

// Colour Switcher // Default Colour christmas_blue
$colour_switcher = new Switcher("select", "colour", "gif", "christmas_blue", "switcherbutton");
if(!$enable_colour_switcher){
	$colour_switcher->disable();
}

redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);

set_image("pollbar", THEME."images/pollbar.gif");
if ($colour_switcher->selected != 'christmas_blue'){
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/christmas_blue/bullet.gif' alt='' style='border:0px; width:14px; height:12px; vertical-align:middle;'/></span>");
}else{
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/christmas_blue/bullet.gif' alt='' style='border:0px; width:14px; height:12px; vertical-align:middle;'/></span>");
}

function get_head_tags(){
	global $colour_switcher;
	echo $colour_switcher->makeHeadTag();
}

function render_page($license=false) {
	global $aidlink, $locale, $settings, $colour_switcher, $enable_translate, $enable_submenu, $main_style, $mysql_queries_time;
	 // If SuperFish jQuery menu is Disables set to false add Sub Header ul / li to head
	 if ($enable_submenu =="false") {
	add_to_head("<style type='text/css'>
	.sub-header ul { margin: 0; padding: 0; }
	.sub-header ul li { display: inline; }
	.sub-header ul li.first-link .bullet { display: none; }
	</style>");
		}
		//
		
	require_once THEME."menu/functions.php";
	//Header
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='full-header'>\n".showbanners()."";
	echo"</td>\n";
	echo "		<td align='right' valign='bottom' class='full-header'>\n";
	
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='sub-header-left'></td>\n";
	
	if ($enable_submenu =="false") {
	//Standard Sub Links 
	echo "		<td class='sub-header'>".showsublinks(" &middot; ", "white")."</td>\n";
	}else{
	//Super Fish Menu 
	echo "		<td class='sub-header'>";
	echo navigation();
	echo "		</td>\n";
	}
	
	echo "		<td align='right' class='sub-header'>".$colour_switcher->makeForm("flright")."</td>\n";
	echo "		<td class='sub-header-right'></td>\n";
	echo "	</tr>\n";	echo "</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center' class='$main_style'>\n";
	echo "	<tr>\n";
	if (LEFT) {
		echo "		<td class='side-border-left' valign='top'>".LEFT."</td>\n";
	}
	echo "		<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if (RIGHT) {
		echo "		<td class='side-border-right' valign='top'>".RIGHT."</td>\n";
	}
	echo "	</tr>\n";
	echo "</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='sub-header-left'></td>\n";
	if ($settings['rendertime_enabled'] == 1) {
	echo "		<td align='left' class='sub-header'>".showrendertime()."</td>\n";
	}
	echo "		<td align='right' class='sub-header'>".showcounter()."</td>\n";
	echo "		<td align='center' class='sub-header'>\n";
	echo "			<a title='delay=[0] fade=[on]' href='javascript:scroll(0,0);'>\n";
	echo "				<img src='".THEME."images/up.gif' border='0' alt='Top' title='Top' />\n";
	echo "			</a>\n";
	echo "		</td>\n";
	echo "		<td class='sub-header-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' align='center' cellspacing='0' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
    echo "		<td align='center' class='main-footer'>\n";
	echo "			".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	
echo " [<a href='".THEME."credits.php' title='Credits'>Gillette Multicolour Christmas Edition 2011</a>]\n";
	echo" <br />\n".showsubdate()."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";

	if ($c_info['admin_link'] !== false) {
		echo "<div class='floatfix'>\n";
		echo "<div class='comment_admin'>".$c_info['admin_link']."</div>\n";
		echo "</div>\n";
	}

		foreach($c_data as $data) {

			$comm_count = " | <a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			
			echo "<div class='comment-main spacer'>\n";
			echo "<div class='tbl2 clearfix floatfix'>\n";
	if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	        echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n";
			echo "<span class='comment-name small'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span> \n";
	if ($data['edit_dell'] !== false) { echo "<span class='comment_actions'>".$data['edit_dell']." \n</span>\n"; }
			echo "\n<div class='tbl2 comment_message'>".$data['comment_message']."</div>\n";
			echo "</div></div>\n";
	}

		echo "</div>\n";

	} else {
	    echo "<div class='nocomments-message spacer'>".$locale['c101']."</div>\n";
	}
closetable();
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' align='center' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$subject."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body middle-border'>".$info['cat_image'].$news."</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td align='center' class='news-footer middle-border'>\n";
	echo "			".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td class='news-footer2'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' align='center' cellpadding='0' cellspacing='0'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$subject."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td align='center' class='news-footer'>\n";
	echo "			".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$title."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body'>\n";

}

function closetable() {

	echo "		</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td class='news-footer2'></td>\n";	
	echo "	</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='scapmain-left'></td>\n";
	echo "		<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "		<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "		<td class='scapmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}
?>
